#!/bin/bash
# https://www.digitalocean.com/community/tutorials/how-to-install-nginx-on-ubuntu-18-04
sudo apt update
sudo apt install nginx git
sudo ufw allow 'Nginx HTTP'
sudo rm -rf /etc/nginx
git clone git@gitlab.com:megabyte-space/cloud/nginx.git /tmp/servr/nginx
sudo cp -rf /tmp/servr/nginx /etc/nginx
rm -rf /tmp/servr/nginx
sudo mkdir /etc/nginx/sites-available
sudo mkdir /etc/nginx/sites-enabled
pwd
sudo cp ./tmp/servr/maas.conf /etc/nginx/sites-available/maas.conf
sudo cp ./tmp/servr/juju.conf /etc/nginx/sites-available/juju.conf
sudo ln -s /etc/nginx/sites-available/maas.conf /etc/nginx/sites-enabled/
sudo ln -s /etc/nginx/sites-available/juju.conf /etc/nginx/sites-enabled/
# https://scaron.info/blog/improve-your-nginx-ssl-configuration.html
if [ ! -f /etc/ssl/certs/dhparam.pem ]; then
    sudo openssl dhparam -out /etc/ssl/certs/dhparam.pem 4096
fi
sudo systemctl restart nginx
sudo service nginx stop
sudo snap install juju --classic
# https://docs.openstack.org/project-deploy-guide/charm-deployment-guide/latest/install-juju.html
juju add-cloud --local {{ name }} /tmp/servr/maas-cloud.yaml
juju add-credential {{ name }} -f /tmp/servr/maas-creds.yaml
# https://jaas.ai/docs/maas-cloud
juju bootstrap {{ name }} maas-controller
# https://www.2stacks.net/blog/bare-metal-to-kubernetes-part-2/
juju add-model {{ model }}
juju deploy charmed-kubernetes
# rm -rf /tmp/servr